Skip to main content
GET
Get Swap quote

Authorizations

apiKey
string
query
required

Headers

authorization
string

A valid customer authentication token in the format 'Bearer [auth token]'.

Path Parameters

PAIR
string
required

A valid swap pair pairName from the pairs list

Query Parameters

query
object
required

Response

Successful response — Swap Quote

id
string

Unique identifier for the object.

Example:

"9b9d4036-bb99-4cb8-a61e-87d0750722d2"

expiresAt
string

Time at which the quote expires. Returned as an ISO 8601 string.

Example:

"2024-02-23T00:58:26.577Z"

extraFeeAmount
string

A positive number string representing your extra fee for the transaction. It is added to baseCurrencyAmount, feeAmount and networkFeeAmount when the swap is executed.

Example:

"0.0000005"

networkFeeAmount
string

A positive number string representing the network fee for the transaction. It is added to baseCurrencyAmount, feeAmount and extraFeeAmount when the swap is executed.

Example:

"0.00039"

extraFeeAmountInUSD
string

A positive number string representing your extra fee for the transaction, in USD. It is added to baseCurrencyAmount, feeAmount and and networkFeeAmount when the swap is executed.

Example:

"0"

networkFeeAmountInUSD
string

A positive number string representing the network fee for the transaction, in USD. It is added to baseCurrencyAmount, feeAmount and extraFeeAmount when the swap is executed.

Example:

"20.049237585"

baseCurrency
object

Details about the cryptocurrency the customer wants to swap.

quoteCurrency
object

Details about the cryptocurrency the customer will receive.

pairName
string

The name of the cryptocurrency pair.

Example:

"eth-btc"

baseCurrencyAmount
string

A positive string number representing how much crypto the user wants to swap.

Example:

"1.123"

quoteCurrencyAmount
string

A positive string number representing the amount of cryptocurrency the customer will receive. Set when the purchase of cryptocurrency has been executed.

Example:

"0.0564"

feeCurrency
object

Fee currency for this quote

baseCurrencyPriceInUsd
string

The price of the crypto the customer wants to swap, in USD.

Example:

"2946.441235"

quoteCurrencyPriceInUsd
string

The price of the crypto the customer will receive, in USD.

Example:

"51408.3015"

liveMode
boolean

Whether live mode is enabled for this quote.

Example:

true

exchangeRate
string

The rate provided by the underlying exchange.

Example:

"0.05731450269758475"

signature
string

The signature for executing the quote

Example:

"really-long-string"